WEBUILDER_SCRIPTS['WB_EXEC_CSSCOMB'] = function(data1, data2) {

  var arr = data1.split(':');
  var channelname = arr[0];
  var postfix = '';
  if (arr.length > 1) {
    postfix = ':' + arr[1];
  }

  if (channelname == 'WB_EXEC_CSSCOMB') {
    
    var lines = data2.split('\n');
    var filename = lines.shift();
    var settings = JSON.parse(lines.shift());
    var txt = lines.join('\n');
    
    try {
      CSSCOMB(filename, txt, settings, function(res) {
      
        WeBuilderData.SendNative("WB_EXEC_CSSCOMB_RESULTS" + postfix, res, '');
        
      }, function(error) {
        var errmsg = error.message;
        if (error.name == 'Parsing error') {
          errmsg = '[' + error.line + ']' + errmsg;
        }
        WeBuilderData.SendNative("WB_EXEC_CSSCOMB_RESULTS" + postfix, '', errmsg);
      });
    } catch(error) {
      var errmsg = error.message;
      WeBuilderData.SendNative("WB_EXEC_CSSCOMB_RESULTS" + postfix, '', errmsg);
    }
  }
}